Redmine - Feature #23392

Link to remove a subtask from its parent task
2016-07-21 11:51 - Antony D'Andrea

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 4.1.0

Resolution: Fixed

Description

| figured out that to remove a child task from a parent task, you have to go into the child task and remove the parent.

But I think it would be nice that under the add link for sub-tasks, we have a 'remove' on the parent task. | think it makes logical sense
to be able to remove from here in the same way you can add.

Related issues:
Has duplicate Redmine - Feature #14993: allow disconntecing of sub task in pa... Closed

Associated revisions

Revision 17747 - 2018-12-16 08:38 - Jean-Philippe Lang
Adds a link to remove a subtask from its parent task (#23392).

Patch by Mizuki ISHIKAWA.

Revision 17748 - 2018-12-16 08:40 - Jean-Philippe Lang
Adds :label_delete_link_to_subtask to locales (#23392).

History

#1 - 2018-09-28 08:52 - Mizuki ISHIKAWA
- File feature-23392.patch added

| wrote a patch to realize this feature.

When applying this patch, "Delete link to subtask button" will be added.
Pressing this button has the same effect as when emptying the "parent task field" on the child issue editing screen.

#2 - 2018-09-29 00:47 - Go MAEDA

- Target version set to 4.1.0

The patch adds a button to remove subtask in the "Subtasks" section of an issue. Since the button looks consistent with existing buttons in "Related
issues" section, | am in favor of merging the patch.

But | am not sure if it is OK with JPL to use "no_flash" parameter to suppress a flash message.

#3 - 2018-09-29 01:45 - Go MAEDA
- File remove-subtask-button@2x.png added

Here is a screenshot of the patch.
Bug # 19 Edit () Log time Watch Copy Delete

parent « Previous | 3 of 17 | Next »

Added by Redmine Admin [09/28/2018 03:57 PM] about 16 hours ago.

Status: New Start date: 09/28/2018

Priority: Normal Due date:

Assignee: - % Done: 0%

Category: - Estimated time: (Total: 0.00 h)

Target version: -

Searchable field: Default string Custom date:

Database: Project 1 cf:

Float field:

Subtasks Add
Bug #20: child New €d
Related issues Add
Related to Bug #21: referrer New 2018-09-28 €

#4 - 2018-12-16 08:41 - Jean-Philippe Lang

- Subject changed from Remove subtask from parent task to Link to remove a subtask from its parent task
- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Patch committed, except for the test that was failing as the anonymous user is not allowed to manage relations.
Thanks.

#5 - 2021-07-06 14:42 - Go MAEDA

- Has duplicate Feature #14993: allow disconntecing of sub task in parent task via discconnect button in substask list like for related tasks added

Files
feature-23392.patch 3.69 KB 2018-09-28 Mizuki ISHIKAWA
remove-subtask-button@2x.png 54.9 KB 2018-09-28 Go MAEDA
